Skip to main content
GET
/
cms
/
v3
/
pages
/
landing-pages
/
folders
/
{objectId}
Retrieve a landing page folder
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId} \
  --header 'Authorization: Bearer <token>'
{
  "category": 123,
  "created": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "parentFolderId": 123,
  "updated": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required

Query Parameters

archived
boolean

Whether to return only results that have been archived.

property
string

Response

successful operation

Model definition for a content folder.

category
integer<int32>
required

The type of object this folder applies to. Should always be LANDING_PAGE.

created
string<date-time>
required

The timestamp indicating when the content folder was created.

deletedAt
string<date-time>
required

The timestamp (ISO8601 format) when this content folder was deleted.

id
string
required

The unique ID of the content folder.

name
string
required

The name of the folder which will show up in the app dashboard

parentFolderId
integer<int64>
required

The ID of the content folder this folder is nested under

updated
string<date-time>
required

The timestamp indicating when the content folder was last updated.

Last modified on March 30, 2026